import { WebBridgeApiConstants } from "./define";
import "./interface";
/**
 * 请求原生接口
 * @param api
 * @param params
 */
export declare const __request: (api: WebBridgeApiConstants, params: any) => Promise<BridgeRequestResult>;
/**
 * 回调方式请求原生接口
 * @param api
 * @param params
 * @param callback
 */
export declare const __request_callback: (api: WebBridgeApiConstants, params: any, callback: Function) => Promise<void>;
/**
 * 定义本地接口
 * @param api
 * @param handle
 * @param once
 */
export declare const __define: (api: WebBridgeApiConstants, handle: Function, times?: number) => Promise<any>;
